LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/freertos/freertoslpc/FreeRTOSCommonHooks.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
FreeRTOSCommonHooks.c File Reference
`#include "FreeRTOS.h"`
`#include "task.h"`
`#include "FreeRTOSCommonHooks.h"`
`#include "chip.h"`

Go to the source code of this file.

## Macros
#define | __WEAK__ __attribute__((weak))

## Functions
void | FreeRTOSDelay (uint32_t ms)
| Delay for the specified number of milliSeconds. More...
__WEAK__ void | vApplicationMallocFailedHook (void)
| FreeRTOS malloc fail hook. More...
__WEAK__ void | vApplicationIdleHook (void)
| FreeRTOS application idle hook. More...
__WEAK__ void | vApplicationStackOverflowHook (TaskHandle_t pxTask, char *pcTaskName)
| FreeRTOS stack overflow hook. More...
__WEAK__ void | vApplicationTickHook (void)
| FreeRTOS application tick hook. More...

## Macro Definition Documentation

#define __WEAK__ __attribute__((weak))

Definition at line 44 of file FreeRTOSCommonHooks.c.

## Function Documentation

__WEAK__ void vApplicationIdleHook | ( | void |  | ) |

FreeRTOS application idle hook.

Returns
  Nothing

Note
  Calls ARM Wait for Interrupt function to idle core

Definition at line 76 of file FreeRTOSCommonHooks.c.

__WEAK__ void vApplicationMallocFailedHook | ( | void |  | ) |

FreeRTOS malloc fail hook.

Returns
  Nothing

Note
  This function is alled when a malloc fails to allocate data.

Definition at line 68 of file FreeRTOSCommonHooks.c.

__WEAK__ void vApplicationStackOverflowHook | ( | TaskHandle_t | pxTask,
|  | char * | pcTaskName
| ) |  |

FreeRTOS stack overflow hook.

Parameters

  pxTask | : Task handle that overflowed stack
  pcTaskName | : Task name that overflowed stack

Returns
  Nothing

Note
  This function is alled when a stack overflow occurs.

Definition at line 83 of file FreeRTOSCommonHooks.c.

__WEAK__ void vApplicationTickHook | ( | void |  | ) |

FreeRTOS application tick hook.

Returns
  Nothing

Note
  This just returns to the caller.

Definition at line 97 of file FreeRTOSCommonHooks.c.